/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Developer 
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.2
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */

/*==Start Globle Css==*/
body{overflow-x: hidden;}
html {scroll-behavior: smooth;scroll-padding-top: 50px;}
p {font-size: 16px; font-family: DM Sans; font-weight: 400; line-height: 1.6; }
.image-right-angle,
.image-left-dotted-shape{position: relative;z-index:1;}
.image-right-angle:before {content: ""; background-color: #E1E2E4;border-radius: 5px; width: 80%; height: 81%; display: block; position: absolute; z-index: -1; top: -20px; right: -20px; }
.image-left-dotted-shape:after {background-image: url(https://oregonpropertyco.com/wp-content/uploads/2025/10/Doted-shape.svg); content: ""; width: 104px; height: 38px; display: block; position: absolute; bottom: -20px; left: -30px; }

.image-left-angle,
.image-right-dotted-shape{position: relative;z-index:1;}
.image-left-angle:before {content: ""; background-color: #E1E2E4;border-radius: 5px; width: 80%; height: 81%; display: block; position: absolute; z-index: -1; top: -20px; left: -20px; }
.image-right-dotted-shape:after {background-image: url(https://oregonpropertyco.com/wp-content/uploads/2025/10/Doted-shape.svg); content: ""; width: 104px; height: 38px; display: block; position: absolute; bottom: -20px; right: -30px; }

.elementor-widget-button .elementor-button:focus {background: #d7be69 !important;border-color: #d7be69 !important;}

/*==End Globle Css==*/


/*==Start Default Spacing==*/
.mt-0{margin-top:0px !important;}
.mt-10{margin-top:10px !important;}
.mt-20{margin-top:20px !important;}
.mt-30{margin-top:30px !important;}
.mt-40{margin-top:40px !important;}
.mt-50{margin-top:50px !important;}
.mt-60{margin-top:60px !important;}
.mt-70{margin-top:70px !important;}

.mb-0{margin-bottom:0px !important;}
.mb-10{margin-bottom:10px !important;}
.mb-15{margin-bottom:15px !important;}
.mb-20{margin-bottom:20px !important;}
.mb-25{margin-bottom:25px !important;}
.mb-30{margin-bottom:30px !important;}
.mb-40{margin-bottom:40px !important;}
.mb-50{margin-bottom:50px !important;}
.mb-60{margin-bottom:60px !important;}
.mb-70{margin-bottom:70px !important;}
/*==End Default Spacing==*/


/*==Start Site Header==*/
.home .main-header {position: absolute; top: 34px; left: 40px; right: 40px;}
.home .main-header .header-inner{background-color: #FFFFFFBF !important;}
.main-header.fixed-header {position: fixed;top: 34px; left: 40px; right: 40px; animation: slideDown 0.35s ease-out;}
.main-header .header-inner{background-color: #f7f8fa !important;}
.main-header.fixed-header .header-inner {background: #f7f8fa !important;box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 12px;}

@keyframes slideDown {
  from {
    transform: translateY(-100%);
  }
  to {
    transform: translateY(0);
  }
}

@media screen and (min-width: 767px) {
	.row-reverse>.elementor-container{flex-direction: row-reverse;}
}
/*==End Site Header==*/


/*==Start Service Sec==*/
.service-row .service-item .elementor-widget-icon-box {height: 100%; }
/*==End Service Sec==*/


/*==Start Area Service Sec==*/
.area-service-row .area-service-item .elementor-widget-image-box {background: #E1E2E4; border: 1px solid #0000001A; border-radius: 5px; padding: 7px; position: relative;line-height: 1;}
.area-service-row .area-service-item .elementor-widget-image-box .elementor-image-box-wrapper {line-height: 0;overflow: hidden;}
.area-service-row .area-service-item .elementor-widget-image-box .elementor-image-box-img {margin-bottom: 0 !important;position: relative;}
.area-service-row .area-service-item .elementor-widget-image-box .elementor-image-box-img img{width: 100%;transition: ease 0.4s;}
.area-service-row .area-service-item .elementor-widget-image-box:hover .elementor-image-box-img img{transform: scale(1.1);}
.area-service-row .area-service-item .elementor-image-box-img:before {content: ""; background: linear-gradient(184.01deg, rgba(0, 0, 0, 0) 79.47%, rgba(0, 0, 0, 0.8) 95.51%); position: absolute; top: 0; bottom: 0; left: 0; right: 0; z-index: 1;}
.area-service-row .area-service-item .elementor-image-box-content {position: absolute;bottom: 20px;left:0;right:0;transition: ease 0.4s;}
.area-service-row .area-service-item .elementor-image-box-content .elementor-image-box-title {font-family: Plus Jakarta Sans; font-weight: 600; font-size: 22px; line-height: 48px; color: #fff; margin: 0; }
.area-service-row .area-service-item .elementor-widget-image-box:hover .elementor-image-box-content {top: 50%;transform: translateY(-50%);}
/*==End Area Service Sec==*/


/*==Start Pricing Sec==*/
.pricing-row .pricing-col .elementor-widget-icon-box {border: 1px solid #E6E6E680; border-radius: 5px; height: 100%; }
.pricing-row .pricing-col .elementor-icon-box-wrapper .elementor-icon-box-icon {margin-top: -130px;}
.pricing-row .pricing-col .elementor-icon-box-wrapper .elementor-icon-box-content {margin-top: 25px;}
.pricing-row .pricing-col .elementor-icon-box-wrapper .elementor-icon-box-content .elementor-icon-box-title {margin:0px;}
.pricing-row .pricing-col .elementor-icon-box-wrapper .elementor-icon-box-content .elementor-icon-box-title:after {content: ""; background-image: url(https://oregonpropertyco.com/wp-content/uploads/2025/10/down-line.svg); width: 4px; height: 32px; background-size: 4px; display: block; background-position: center bottom; margin: auto; background-repeat: no-repeat; }
/*==End Pricing Sec==*/


/*==Start Contact Page==*/
.custom-form .gform_wrapper .gform_heading .gform_required_legend {display: none;}
.custom-form .gform_wrapper .gform_fields{display: block !important;}
.custom-form .gform_wrapper .gform_heading .gform_title { color: #020001; margin: 0;font-family: "DM Sans", Sans-serif; font-size: 40px; font-weight: 700; line-height: 1.1; }
.custom-form .gform_wrapper .gform_fields .gfield {margin-bottom: 10px !important;}
.custom-form .gform_wrapper .gform_fields .gfield .gfield_description { padding: 0; margin: 5px 0 8px; color: #fff; font-size: 14px; line-height: 1.3; }
.custom-form .gform_wrapper .gform_fields .gfield .ginput_container_textarea {line-height: 1;}
.custom-form .gform_wrapper .gform_fields .gfield.gfield--type-textarea label.gfield_label {margin-bottom: 0;}
.custom-form .gform_wrapper .gform_fields .gfield .gfield_label {display: inline-block; font-size: 16px; font-weight: 400; margin-top: 0; margin-bottom: 8px; padding: 0; color: #000; font-family: "DM Sans", Sans-serif; line-height: 1; }
.custom-form .gform_wrapper .gform_fields .gfield input,
.custom-form .gform_wrapper .gform_fields .gfield select {height: 55px;border: 1px solid #E3E3E3;background: #fff;border-radius: 5px;color: #000;padding: 10px 18px;font-size: 16px;font-family: "DM Sans", Sans-serif; font-weight: 400;width: 100%;}
.custom-form .gform_wrapper .gform_fields .gfield textarea{height:120px !important;border: 1px solid #E3E3E3;background: #fff;border-radius: 0px;color: #000;padding: 10px 18px;resize: none;font-size: 16px;font-family: "DM Sans", Sans-serif; font-weight: 400;}
.custom-form .gform_wrapper .gform_fields .gfield input::placeholder,
.custom-form .gform_wrapper .gform_fields .gfield textarea::placeholder{color: #828282;}
.custom-form .gform_wrapper .gform_fields .gfield input:focus,
.custom-form .gform_wrapper .gform_fields .gfield textarea:focus,
.custom-form .gform_wrapper .gform_fields .gfield select:focus{outline: none;border-color:#267355;}

.gform_wrapper .gform_validation_errors{display: none;}
.gform_wrapper .gform_fields .gfield .validation_message {padding: 0;border: none;background: transparent;color: #f00 !important;font-size: 14px;line-height: 1;margin-top: 5px;}
.gform_wrapper .gform_fields .gfield.gfield_error input, 
.gform_wrapper .gform_fields .gfield.gfield_error select, 
.gform_wrapper .gform_fields .gfield.gfield_error textarea {border-color:#f00;}
.gform_confirmation_message { text-align: center; background: #fff; font-size: 16px; line-height: 1.2; padding: 20px 20px; border-radius: 6px; color: #008000; box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px; }

#page .custom-form .gform_wrapper .gform_page_footer {display: flex;}
#page .custom-form .gform_wrapper .gform_footer {justify-content: flex-start;width: 100% !important;margin:40px 0 0 !important;padding: 0 !important;}
#page .custom-form .gform_wrapper .gform_footer .button { background-color: #267355 !important; border: 1px solid #267355; border-radius: 5px !important; color: #fff!important;padding: 14px 60px 14px 40px;margin:0px !important; line-height: 1; font-family: "DM Sans", Sans-serif; font-size: 16px; font-weight: 600; }
#page .custom-form .gform_wrapper .gform_footer .button { background-image: url(https://oregonpropertyco.com/wp-content/uploads/2025/10/white-right-arrow.svg); background-repeat: no-repeat; background-position: center right 35px; background-size: 16px; }
#page .custom-form .gform_wrapper .gform_footer .button:hover,
#page .custom-form .gform_wrapper .gform_footer .button:focus {background-color: #d7be69 !important; border: 1px solid #d7be69; color: #fff !important;outline: none;}
#page .custom-login-form .gform_wrapper .gform_footer {justify-content: center !important;margin-top: 30px !important;}

@media screen and (min-width: 767px){
	.custom-form .gform_wrapper .gform_fields .gfield#field_1_1{padding-right:5px}
	.custom-form .gform_wrapper .gform_fields .gfield#field_1_3{padding-left:5px}
	.custom-form .gform_wrapper .gform_fields .gfield#field_1_1, 
	.custom-form .gform_wrapper .gform_fields .gfield#field_1_3 {width: 50%;display: inline-block;}
}	
/*==End Contact Page==*/


/*==Start Blog Post Sec==*/
.blog-post-sec .hfe-posts-grid .hfe-post-card {border: 1px solid #E6E6E680;padding: 10px;}
.blog-post-sec .hfe-posts-grid .hfe-post-card .hfe-post-image{overflow: hidden;}
.blog-post-sec .hfe-posts-grid .hfe-post-card .hfe-post-image .wp-post-image {border-radius: 5px;transition: ease 0.4s;}
.blog-post-sec .hfe-posts-grid .hfe-post-card:hover .hfe-post-image .wp-post-image{transform: scale(1.1);}
.blog-post-sec .hfe-posts-grid .hfe-post-card .hfe-post-content {position: relative;padding: 50px 26px 25px;}
.blog-post-sec .hfe-posts-grid .hfe-post-card .hfe-post-content .hfe-post-meta {background: #267355; font-family: Plus Jakarta Sans; font-weight: 600; font-size: 20px; text-transform: uppercase; line-height: 1.2; text-align: center; width: 60px; height: 70px; padding: 8px 8px; border-radius: 5px; display: flex; align-items: center; color: #fff; position: absolute; top: -40px; margin: 0; right: 24px; }
.blog-post-sec .hfe-posts-grid .hfe-post-card .hfe-post-content .hfe-post-title a:hover{color:#d3a05d;}
/*==End Blog Post Sec==*/


/*==Start 404 Page==*/
.error404 main#content {padding: 80px 16px;}
.error404 main#content .page-header {text-align: center;}
.error404 main#content .page-header .entry-title {font-family: "Plus Jakarta Sans", Sans-serif; font-size: 40px; font-weight: 700; line-height: 1.1; }
.error404 main#content .page-content{text-align: center;}
/*==End 404 Page==*/


/*==Start pricing Page==*/
.pricing-page-sec .pricing-row .pricing-col .elementor-icon-box-wrapper .elementor-icon-box-icon {margin-top: 0;}
.pricing-page-sec .pricing-row .pricing-col .elementor-icon-box-title:after {display: none !important;}
.pricing-page-sec .pricing-row .pricing-col .elementor-icon-box-content {margin-top: 0 !important;}
.pricing-page-sec .pricing-row .pricing-col .elementor-icon-box-content .elementor-icon-box-title {margin: 0px 0 8px !important;}
.pricing-unlike-sec .elementor-widget-icon-list {height: 100%;}
/*==End pricing Page==*/



/*==Start Responsive Design==*/
@media screen and (min-width: 1025px) and (max-width: 1100px){ 
	.main-header .header-inner nav .hfe-nav-menu li a {padding: 12px 12px !important;}
}

@media screen and (min-width: 768px) and (max-width: 1024px){ 
	#page{overflow-x: hidden;}
	p br, .elementor-widget-text-editor br{display: none;}

	/*Site Header*/
	.home .main-header,
	.main-header.fixed-header {top: 20px; left: 10px; right: 10px;}

}

@media screen and (max-width: 767px){
	#page{overflow-x: hidden;}
	p br, .elementor-widget-text-editor br, 
	.elementor-heading-title br{display: none;}

	/*Site Header*/
	.home .main-header,
	.main-header.fixed-header {top: 20px; left: 10px; right: 10px;}

}

@media screen and (max-width: 460px){
	/*Hero Banner sec*/
	.hero-banner-sec .elementor-widget-button .elementor-button {width: 100%;}
	.hero-banner-sec .elementor-widget-button {width: 80% !important;margin: 20px auto 0 !important;}

}	
/*==End Responsive Design==*/
